import 'dart:io';
import 'dart:ui';
import 'package:flutter/material.dart';
import 'package:ocg_story/src/widgets/story_widget.dart';

class StoryImageWidget extends StatefulWidget {
  final String image;
  final Function(Duration duration) onLoaded;
  final StoryAssetType type;
  const StoryImageWidget(
      {Key key,
      @required this.image,
      @required this.onLoaded,
      this.type = StoryAssetType.Network})
      : super(key: key);

  @override
  State<StatefulWidget> createState() => _StoryImageWidgetState();
}

class _StoryImageWidgetState extends State<StoryImageWidget> {
  @override
  void initState() {
    super.initState();
    widget.onLoaded(Duration(seconds: 2));
  }

  @override
  Widget build(BuildContext context) {
    Widget image;
    if (widget.type == StoryAssetType.File) {
      image = Image.file(
        File(widget.image),
        width: MediaQuery.of(context).size.width,
        height: MediaQuery.of(context).size.height,
      );
    } else if (widget.type == StoryAssetType.Asset) {
      image = Image.asset(
        widget.image,
        width: MediaQuery.of(context).size.width,
        height: MediaQuery.of(context).size.height,
      );
    } else {
      image = Image.network(
        widget.image,
        width: MediaQuery.of(context).size.width,
        height: MediaQuery.of(context).size.height,
      );
    }
    return Container(
      width: MediaQuery.of(context).size.width,
      height: MediaQuery.of(context).size.height,
      child: image,
    );
  }
}
